#include <iostream>
#include <cstdlib>
#include <fstream>
#include <vector>
#include <algorithm>
using namespace std;


struct Machine{
	vector<int> jobs;
	int count;
    int curLoad;
}m[100];

struct Job{
	int idx;
    int load;
}j[10000];

bool cmp(const Job &l1, const Job &l2) { return l1.load > l2.load; }     

int main (){
    int jNum, mNum;
    int x;
    
    while(cin >> mNum >> jNum){
		
		for(int i = 0; i < mNum; ++i){ 
			m[i].jobs.clear();
			m[i].count=0;
			m[i].curLoad=0;	
        } 
        
		for(int i=0; i<jNum; i++){
            j[i].idx=i+1;
			cin >> j[i].load;
        }   
	        
		sort(j, j+jNum, cmp);
          	
        for(int i=0; i<jNum; i++){    
                
            int tmp=m[0].curLoad;
    		x=0;
    
    		for(int i=0; i<mNum; i++){  
        		if(m[i].curLoad<tmp){
            		tmp=m[i].curLoad;
           			x=i;
        		}   
    		}
			m[x].jobs.push_back(j[i].idx);
			m[x].count++;   	
			m[x].curLoad += j[i].load;
        }
        
        for(int i=0; i<mNum; i++){
        	
			int c=m[i].count;
        	 int *temp=new int[c];
            for(int j=0; j<c; j++){
				temp[j]=m[i].jobs[j];
			}
			
			sort(temp,temp+c);
			
			for(int j=0; j<c; j++){
				cout << temp[j] << " ";
			}
			if(i<mNum-1)
                cout<<"* "; 
			delete []temp;	  
        }
        
		cout << endl;
    }          
    
    return 0;
}

